function pset = ParSetIzh01a(initflag,N,pset,indx,neurontype,rv2)

switch neurontype
    case 'RS'
        %len = 61.4e-4; diam = len; %Units: cm
        %Cm = pi*len*diam*1e3; %Units: nF
        a = 0.02;
        b = 0.2;
        c = -65;
        d = 8;
    case 'RS2'
        %len = 61.4e-4; diam = len; %Units: cm
        %Cm = pi*len*diam*1e3; %Units: nF
        a = 0.02;
        b = 0.2;
        c = -65;
        d = 0;        
        
    case 'TC'
        a = 0.02;
        b = 0.25;
        c = -65;
        d = 0.05;
        
        
    case 'FS'
        a = 0.1;
        b = 0.2;
        c = -65;
        d = 2;
        
        
        
    case 'reBurst'
        a = 0.03;
        b = 0.25;
        c = -52;
        d = 0;
        
    case 'inBurst'
        a = -0.026;
        b = -1;
        c = -45;
        d = 0;
        
        
end


if initflag == 1
    pset.a   = a.*(1+rv2.*(rand(N,1)-0.5));
    pset.b   = b.*(1+rv2.*(rand(N,1)-0.5));
    pset.c   = c.*(1+rv2.*(rand(N,1)-0.5));
    pset.d   = d.*(1+rv2.*(rand(N,1)-0.5));
else
    
    Ng = length(indx);
    
    pset.a(indx)    = a.*(1+rv2.*(rand(Ng,1)-0.5));
    pset.b(indx)    = b.*(1+rv2.*(rand(Ng,1)-0.5));
    pset.c(indx)    = c.*(1+rv2.*(rand(Ng,1)-0.5));
    pset.d(indx)    = d.*(1+rv2.*(rand(Ng,1)-0.5));
    
end
end