function [p1,p2,f1] = fourierComp(signal1,signal2,duration)

L = length(signal1);


t = linspace(0,duration,L);          % Time vector
Fs = 1/t(2);

y1 = signal1 - mean(signal1);

NFFT = 2^nextpow2(L); % Next power of 2 from length of y
Y1 = fft(y1,NFFT)/L;
f1 = Fs/2*linspace(0,1,NFFT/2+1);


y2 = signal2 - mean(signal2);


Y2 = fft(y2,NFFT)/L;

foo = abs(Y1(1:NFFT/2+1));
[fmax, ~] = max(foo);

[~, ftop2] = find(foo>=0.1*fmax,1,'last');

p1 = 2*abs(Y1(1:ftop2));
p2 = 2*abs(Y2(1:ftop2));
f1 = f1(1:ftop2);
