function [tt,ff,pp] = spectro_gen(y,duration)

x = detrend(y);
L = length(x);
t = linspace(0,duration,L);          % Time vector

Fs = 1/t(2);
window = round(0.05*L); % Number of windows to divide the signal into. Increase this for better resolution
noverlap =round(0.9*window); % overlap between windows
nf = 2048; % number of frequency bins
[ss,ff,tt,pp] = spectrogram(x,window,noverlap,nf,Fs,'yaxis','MinThreshold',0);


